For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact SalesGet Support
HomeGuidesAPI reference
HomeGuidesAPI reference
  • Middesk API
        • GETList policy results for a business
LogoLogo
Contact SalesGet Support
Middesk APIBusiness VerificationPolicy Results

List policy results for a business

GET
https://api.middesk.com/v1/businesses/:business_id/policy_results
GET
/v1/businesses/:business_id/policy_results
$curl https://api.middesk.com/v1/businesses/business_id/policy_results \
> -H "Authorization: Bearer <token>"
1{
2 "object": "list",
3 "data": [
4 {
5 "object": "policy_result",
6 "id": "d0e1f2a3-b4c5-6789-3456-789abcdef012",
7 "result": "result",
8 "created_at": "2025-01-07T12:00:00.000Z",
9 "matched": "matched",
10 "executed": true,
11 "name": "Business Verification Policy",
12 "owner_id": "owner_id",
13 "owner_type": "owner_type",
14 "business_id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
15 "type_of": "approve",
16 "policy_action_results": [
17 {
18 "object": "policy_action_result",
19 "id": "e1f2a3b4-c5d6-7890-4567-89abcdef0123",
20 "details": {
21 "key": "value"
22 },
23 "executed": true,
24 "policy_action": {
25 "id": "f2a3b4c5-d6e7-8901-5678-9abcdef01234",
26 "action_type": "approve",
27 "options": {
28 "key": "value"
29 },
30 "policy_version_id": "a3b4c5d6-e7f8-9012-6789-abcdef012345"
31 }
32 }
33 ]
34 }
35 ],
36 "url": "url"
37}
Returns policy results for enabled policy versions only
Was this page helpful?
Previous

Retrieve a review for a business

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

business_idstringRequired
Business ID

Response

multiple policy results with different versions
objectstring
datalist of objects
urlstring
API endpoint URL

Errors

404
List Business Policy Results Request Not Found Error